Bug 102660 - new port: x11/terminal.app - Terminal Emulator for GNUstep
Summary: new port: x11/terminal.app - Terminal Emulator for GNUstep
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-29 20:30 UTC by Gürkan
Modified: 2006-09-06 20:23 UTC (History)
0 users

See Also:


Attachments
terminal.app.shar (3.76 KB, text/plain)
2006-08-29 20:30 UTC, Gürkan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gürkan 2006-08-29 20:30:17 UTC
Terminal provides terminal emulation in a GNUstep environment.
It gives colorized terminals with configurable fonts, and also allows
users to configure shell utilities as GNUstep services.
Comment 1 Emanuel Haupt freebsd_committer 2006-08-29 20:33:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ehaupt

Take.
Comment 2 Emanuel Haupt freebsd_committer 2006-08-30 12:39:24 UTC
State Changed
From-To: open->feedback

The distfile does not fetch. Could you also please also run 'portlint -A'.
Comment 3 Gürkan 2006-08-30 22:58:50 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	terminal.app
#	terminal.app/pkg-descr
#	terminal.app/Makefile
#	terminal.app/pkg-plist
#	terminal.app/distinfo
#
echo c - terminal.app
mkdir -p terminal.app > /dev/null 2>&1
echo x - terminal.app/pkg-descr
sed 's/^X//' >terminal.app/pkg-descr << 'END-of-terminal.app/pkg-descr'
XTerminal provides terminal emulation in a GNUstep environment.
XIt gives colorized terminals with configurable fonts, and also allows
Xusers to configure shell utilities as GNUstep services.
X
XWWW: http://www.nongnu.org/backbone/
END-of-terminal.app/pkg-descr
echo x - terminal.app/Makefile
sed 's/^X//' >terminal.app/Makefile << 'END-of-terminal.app/Makefile'
X# New ports collection makefile for:    terminal.app
X# Date created:         28 Aug 2006
X# Whom:                 gurkan@linuks.mine.nu
X#
X# $FreeBSD$
X#
X
XPORTNAME=	terminal.app
XPORTVERSION=	0.9.4
XCATEGORIES=	sysutils
XMASTER_SITES=	${MASTER_SITE_DEBIAN}
XDISTNAME=	terminal.app_${PORTVERSION}+cvs20051125.orig
X
XMAINTAINER=	gurkan@linuks.mine.nu
XCOMMENT=	Terminal Emulator for GNUstep
X
XWRKSRC=		${WRKDIR}/terminal-${PORTVERSION}
XUSE_GMAKE=	yes
XUSE_GNUSTEP=	yes
XUSE_GNUSTEP_PREFIX=	yes
XUSE_GNUSTEP_BACK=	yes
XUSE_GNUSTEP_BUILD=	yes
XUSE_GNUSTEP_INSTALL=	yes
XMAKEFILE=	GNUmakefile
X
X.include <bsd.port.mk>
END-of-terminal.app/Makefile
echo x - terminal.app/pkg-plist
sed 's/^X//' >terminal.app/pkg-plist << 'END-of-terminal.app/pkg-plist'
XSystem/Applications/Terminal.app
XSystem/Applications/Terminal.app/Terminal
XSystem/Applications/Terminal.app/library_paths.openapp
XSystem/Applications/Terminal.app/Resources
XSystem/Applications/Terminal.app/Resources/Info-gnustep.plist
XSystem/Applications/Terminal.app/Resources/Terminal.tiff
XSystem/Applications/Terminal.app/Resources/Terminal.desktop
XSystem/Applications/Terminal.app/Resources/DefaultTerminalServices.svcs
XSystem/Applications/Terminal.app/Resources/cursor_line.tiff
XSystem/Applications/Terminal.app/Resources/cursor_stroked.tiff
XSystem/Applications/Terminal.app/Resources/cursor_filled.tiff
XSystem/Applications/Terminal.app/Resources/cursor_inverted.tiff
XSystem/Applications/Terminal.app/Resources/English.lproj
XSystem/Applications/Terminal.app/Resources/English.lproj/Localizable.strings
XSystem/Applications/Terminal.app/Resources/Swedish.lproj
XSystem/Applications/Terminal.app/Resources/Swedish.lproj/Localizable.strings
XSystem/Applications/Terminal.app/Resources/German.lproj
XSystem/Applications/Terminal.app/Resources/German.lproj/Localizable.strings
XSystem/Applications/Terminal.app/Resources/French.lproj
XSystem/Applications/Terminal.app/Resources/French.lproj/Localizable.strings
XSystem/Applications/Terminal.app/Resources/Spanish.lproj
XSystem/Applications/Terminal.app/Resources/Spanish.lproj/Localizable.strings
XSystem/Applications/Terminal.app/Resources/Hungarian.lproj
XSystem/Applications/Terminal.app/Resources/Hungarian.lproj/Localizable.strings
XSystem/Applications/Terminal.app/Resources/Turkish.lproj
XSystem/Applications/Terminal.app/Resources/Turkish.lproj/Localizable.strings
XSystem/Applications/Terminal.app/Resources/Norwegian.lproj
XSystem/Applications/Terminal.app/Resources/Norwegian.lproj/Localizable.strings
XSystem/Applications/Terminal.app/Resources/Russian.lproj
XSystem/Applications/Terminal.app/Resources/Russian.lproj/Localizable.strings
XSystem/Applications/Terminal.app/stamp.make
X@dirrm System/Applications/Terminal.app/Resources
X@dirrm System/Applications/Terminal.app
END-of-terminal.app/pkg-plist
echo x - terminal.app/distinfo
sed 's/^X//' >terminal.app/distinfo << 'END-of-terminal.app/distinfo'
XMD5 (terminal.app_0.9.4+cvs20051125.orig.tar.gz) = e59300f725d1cad5596971792f2c4965
XSHA256 (terminal.app_0.9.4+cvs20051125.orig.tar.gz) = 05a560cfd614fb5d01afee83f5706303d0a92630777dd7acc60fe1c5cf3ed470
XSIZE (terminal.app_0.9.4+cvs20051125.orig.tar.gz) = 71656
END-of-terminal.app/distinfo
exit
Comment 4 Emanuel Haupt freebsd_committer 2006-08-31 10:36:10 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 5 Emanuel Haupt freebsd_committer 2006-09-04 21:50:00 UTC
State Changed
From-To: open->feedback

Waiting for feedback.
Comment 6 Gürkan 2006-09-05 11:08:09 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	terminal.app
#	terminal.app/pkg-descr
#	terminal.app/Makefile
#	terminal.app/pkg-plist
#	terminal.app/distinfo
#
echo c - terminal.app
mkdir -p terminal.app > /dev/null 2>&1
echo x - terminal.app/pkg-descr
sed 's/^X//' >terminal.app/pkg-descr << 'END-of-terminal.app/pkg-descr'
XTerminal provides terminal emulation in a GNUstep environment.
XIt gives colorized terminals with configurable fonts, and also allows
Xusers to configure shell utilities as GNUstep services.
X
XWWW: http://www.nongnu.org/backbone/
END-of-terminal.app/pkg-descr
echo x - terminal.app/Makefile
sed 's/^X//' >terminal.app/Makefile << 'END-of-terminal.app/Makefile'
X# New ports collection makefile for:    terminal.app
X# Date created:         28 Aug 2006
X# Whom:                 gurkan@linuks.mine.nu
X#
X# $FreeBSD$
X#
X
XPORTNAME=	terminal.app
XPORTVERSION=	0.9.4
XCATEGORIES=	sysutils
XMASTER_SITES=	${MASTER_SITE_DEBIAN_POOL}
XDISTNAME=	terminal.app_${PORTVERSION}+cvs20051125.orig
X
XMAINTAINER=	gurkan@linuks.mine.nu
XCOMMENT=	Terminal Emulator for GNUstep
X
XWRKSRC=		${WRKDIR}/terminal-${PORTVERSION}
XUSE_GMAKE=	yes
XUSE_GNUSTEP=	yes
XUSE_GNUSTEP_PREFIX=	yes
XUSE_GNUSTEP_BACK=	yes
XUSE_GNUSTEP_BUILD=	yes
XUSE_GNUSTEP_INSTALL=	yes
XMAKEFILE=	GNUmakefile
X
X.include <bsd.port.mk>
END-of-terminal.app/Makefile
echo x - terminal.app/pkg-plist
sed 's/^X//' >terminal.app/pkg-plist << 'END-of-terminal.app/pkg-plist'
XSystem/Applications/Terminal.app
XSystem/Applications/Terminal.app/Terminal
XSystem/Applications/Terminal.app/library_paths.openapp
XSystem/Applications/Terminal.app/Resources
XSystem/Applications/Terminal.app/Resources/Info-gnustep.plist
XSystem/Applications/Terminal.app/Resources/Terminal.tiff
XSystem/Applications/Terminal.app/Resources/Terminal.desktop
XSystem/Applications/Terminal.app/Resources/DefaultTerminalServices.svcs
XSystem/Applications/Terminal.app/Resources/cursor_line.tiff
XSystem/Applications/Terminal.app/Resources/cursor_stroked.tiff
XSystem/Applications/Terminal.app/Resources/cursor_filled.tiff
XSystem/Applications/Terminal.app/Resources/cursor_inverted.tiff
XSystem/Applications/Terminal.app/Resources/English.lproj
XSystem/Applications/Terminal.app/Resources/English.lproj/Localizable.strings
XSystem/Applications/Terminal.app/Resources/Swedish.lproj
XSystem/Applications/Terminal.app/Resources/Swedish.lproj/Localizable.strings
XSystem/Applications/Terminal.app/Resources/German.lproj
XSystem/Applications/Terminal.app/Resources/German.lproj/Localizable.strings
XSystem/Applications/Terminal.app/Resources/French.lproj
XSystem/Applications/Terminal.app/Resources/French.lproj/Localizable.strings
XSystem/Applications/Terminal.app/Resources/Spanish.lproj
XSystem/Applications/Terminal.app/Resources/Spanish.lproj/Localizable.strings
XSystem/Applications/Terminal.app/Resources/Hungarian.lproj
XSystem/Applications/Terminal.app/Resources/Hungarian.lproj/Localizable.strings
XSystem/Applications/Terminal.app/Resources/Turkish.lproj
XSystem/Applications/Terminal.app/Resources/Turkish.lproj/Localizable.strings
XSystem/Applications/Terminal.app/Resources/Norwegian.lproj
XSystem/Applications/Terminal.app/Resources/Norwegian.lproj/Localizable.strings
XSystem/Applications/Terminal.app/Resources/Russian.lproj
XSystem/Applications/Terminal.app/Resources/Russian.lproj/Localizable.strings
XSystem/Applications/Terminal.app/stamp.make
X@dirrm System/Applications/Terminal.app/Resources/English.lproj
X@dirrm System/Applications/Terminal.app/Resources/Swedish.lproj
X@dirrm System/Applications/Terminal.app/Resources/German.lproj
X@dirrm System/Applications/Terminal.app/Resources/French.lproj
X@dirrm System/Applications/Terminal.app/Resources/Spanish.lproj
X@dirrm System/Applications/Terminal.app/Resources/Hungarian.lproj
X@dirrm System/Applications/Terminal.app/Resources/Turkish.lproj
X@dirrm System/Applications/Terminal.app/Resources/Norwegian.lproj
X@dirrm System/Applications/Terminal.app/Resources/Russian.lproj
X@dirrm System/Applications/Terminal.app/Resources
X@dirrm System/Applications/Terminal.app
END-of-terminal.app/pkg-plist
echo x - terminal.app/distinfo
sed 's/^X//' >terminal.app/distinfo << 'END-of-terminal.app/distinfo'
XMD5 (terminal.app_0.9.4+cvs20051125.orig.tar.gz) = e59300f725d1cad5596971792f2c4965
XSHA256 (terminal.app_0.9.4+cvs20051125.orig.tar.gz) = 05a560cfd614fb5d01afee83f5706303d0a92630777dd7acc60fe1c5cf3ed470
XSIZE (terminal.app_0.9.4+cvs20051125.orig.tar.gz) = 71656
END-of-terminal.app/distinfo
exit
Comment 7 Emanuel Haupt freebsd_committer 2006-09-05 13:35:51 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 8 Emanuel Haupt freebsd_committer 2006-09-05 18:32:58 UTC
State Changed
From-To: open->feedback

The port does still not build. WRKSRC is not defined correctly. Please test the 
port as described in the porters handbook [1]. 

[1] http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/porting-testing.html
Comment 9 Emanuel Haupt freebsd_committer 2006-09-06 20:23:31 UTC
State Changed
From-To: feedback->closed

Committed with major modifications, thanks!